### Class

# Foundry DebuggerStopEvent

#### Description [src]

    abstract class Foundry.DebuggerStopEvent : Foundry.DebuggerEvent
    {
      /* No available fields */
    }

Represents why a debugger has stopped.

#### Ancestors

- FoundryDebuggerEvent
- GObject

#### Instance methods

###### foundry_debugger_stop_event_dup_trap

No description available.

###### foundry_debugger_stop_event_get_exit_code

No description available.

###### foundry_debugger_stop_event_get_reason

No description available.

###### foundry_debugger_stop_event_get_signal

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Foundry.DebuggerStopEvent:reason

No description available.

###### Foundry.DebuggerStopEvent:trap

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryDebuggerStopEventClass {
      FoundryDebuggerEventClass parent_class;
      FoundryDebuggerStopReason (* get_reason) (
        FoundryDebuggerStopEvent* self
      );
      FoundryDebuggerTrap* (* dup_trap) (
        FoundryDebuggerStopEvent* self
      );
      int (* get_signal) (
        FoundryDebuggerStopEvent* self
      );
      int (* get_exit_code) (
        FoundryDebuggerStopEvent* self
      );

    }

No description available.

###### Class members

`parent_class: FoundryDebuggerEventClass`

  No description available.

`get_reason: FoundryDebuggerStopReason (* get_reason) ( FoundryDebuggerStopEvent* self )`

  No description available.

`dup_trap: FoundryDebuggerTrap* (* dup_trap) ( FoundryDebuggerStopEvent* self )`

  No description available.

`get_signal: int (* get_signal) ( FoundryDebuggerStopEvent* self )`

  No description available.

`get_exit_code: int (* get_exit_code) ( FoundryDebuggerStopEvent* self )`

  No description available.

#### Virtual methods

###### Foundry.DebuggerStopEventClass.dup_trap

No description available.

###### Foundry.DebuggerStopEventClass.get_exit_code

No description available.

###### Foundry.DebuggerStopEventClass.get_reason

No description available.

###### Foundry.DebuggerStopEventClass.get_signal

No description available.